#ifndef FGGL_DEBUG_H
#define FGGL_DEBUG_H

#include <fggl/gfx/window.hpp>

namespace fggl::debug {

	class DebugUI {
		public:
			DebugUI(gfx::Window& window);
			~DebugUI();

			void frameStart();
			void draw();

			void showDemo();

			inline void visible(bool state) {
				m_visible = state;
			}

		private:
			bool m_visible;

	};

}


#endif
